{% extends "combo/dashboardcell.html" %}
{% block cell-content %}
{% if not tiles|length %}
  <h2>Suivre l'actualité de votre administration</h2>
  <p class="empty-dashboard"><a href="/mon-compte/">Personnaliser cet espace depuis la page « Mon compte »</a>.</p>
  {% endif %}
{{ block.super }}
<script>
$('.dashboardcell').on('click', '.newsitem-category', function() {
  if ($(this).is('.off')) {
    $(this).removeClass('off');
    $('.newsitem[data-slug="' + $(this).data('slug') + '"]').show().removeClass('off');
  } else {
    $(this).addClass('off');
    $('.newsitem[data-slug="' + $(this).data('slug') + '"]').hide().addClass('off');
  }
  hide_duplicates('.newsitems');
});
$('.dashboardcell').on('click', '.eventitem-category', function() {
  if ($(this).is('.off')) {
    $(this).removeClass('off');
    $('.eventitem[data-slug="' + $(this).data('slug') + '"]').show().removeClass('off');
  } else {
    $(this).addClass('off');
    $('.eventitem[data-slug="' + $(this).data('slug') + '"]').hide().addClass('off');
  }
  hide_duplicates('.eventitems');
});
</script>
{% endblock %}
